# TaxSessionsPublicController_GetManualFieldCaptions

Returns manual entry field captions for the specified tax session.

`GET /api/v1/TaxSessions/GetManualFieldCaptions`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_GetManualFieldCaptions/

## Description

Returns the field names and their human-readable captions for all manual entry fields
configured for the return associated with the specified tax session. Use this for display
purposes when presenting manual fields to users.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `headerId` | integer | query | Yes | The header id of the specified tax session. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a dictionary of field names to display captions. |  |
| 400 | The HeaderId is invalid or not associated with the specified company. |  |
| 401 | Authentication credentials are incorrect. |  |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/TaxSessions/GetManualFieldCaptions" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```